Subject: Re: Detecting TCP loss on the receiving side?

From: Rick Jones <[email-masked]>
Date: Thu, 10 Jul 2008 14:14:18 -0700

Dan Noé wrote:
> Rick Jones wrote:
> 
>> If this is just for troubleshooting, why not just take a tcpdump trace?
> 
> 
> We're pushing a lot of data.. several Mbps pretty much all day long.. 
> and the (suspected) loss occurs sporadically.  Ideally we'd like to be 
> able to easily correlate it with latency seen in our app.

If your app can already log a timestamped "high latency" warning, then 
it would simply be a matter of a big disc and comparing timestamps in 
the tcpdump trace :)

Also, it appears that for what you want, you only need to capture up 
through the TCP header, so while it may be many Mbit/s on the wire, it 
will be fewer Mbit/s in the trace.

rick jones